export enum ProjCodeType {
    CODE1 = 'CODE1'
}

export enum PayStatus {
    PAID = 'PAID',
    UNPAID = 'UNPAID'
}

export enum ProjStyleType {
    DEFAULT = 'DEFAULT'
}

export enum GenerateStatus {
    PENDING = 'PENDING',
    GENERATING = 'GENERATING',
    SUCCESS = 'SUCCESS',
    FAILED = 'FAILED',
    NONE = 'NONE',
    ERROR = 'ERROR'
}

export interface IProj {

    projId: string,
    projName: string;
    projContext: string;
    projCodeType: ProjCodeType,
    payStatus: PayStatus,
    payment: number,
    projStyleType: ProjStyleType,
    previewUrl: string,
    gmtCreate: string,
    generateStatus: GenerateStatus


}